# Uses of Interface
org.eclipse.mat.parser.IObjectReader

Packages that use IObjectReader
Package
Description
org.eclipse.mat.dtfj
This provides the parser for IBM Diagnostic Tooling Framework for Java (DTFJ) dumps, and is just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).

## Uses of IObjectReader in org.eclipse.mat.dtfj

Classes in org.eclipse.mat.dtfj that implement IObjectReader
Modifier and Type
Class
Description
`class`
`DTFJHeapObjectReader`
Reads details of an object from a DTFJ dump.

## Uses of IObjectReader in org.eclipse.mat.hprof

Classes in org.eclipse.mat.hprof that implement IObjectReader
Modifier and Type
Class
Description
`class`
`HprofHeapObjectReader`

## Uses of IObjectReader in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return IObjectReader
Modifier and Type
Method
Description
`IObjectReader`
SnapshotImpl.`getHeapObjectReader()`
Gets the reader for the particular snapshot type to read individual objects.
Methods in org.eclipse.mat.parser.internal with parameters of type IObjectReader
Modifier and Type
Method
Description
`static SnapshotImpl`
SnapshotImpl.`create(XSnapshotInfo snapshotInfo, String objectReaderUniqueIdentifier, IObjectReader heapObjectReader, HashMapIntObject<ClassImpl> classCache, HashMapIntObject<XGCRootInfo[]> roots, HashMapIntObject<HashMapIntObject<XGCRootInfo[]>> rootsPerThread, BitField arrayObjects, IndexManager indexManager, IProgressListener listener)`
Create the snapshot after a fresh parse.